| Home | Libraries | People | FAQ | More

##### pool_params::ping_timeout

The timeout to use for pings and session resets.

###### Synopsis

    std::chrono::steady_clock::duration ping_timeout {std::chrono::seconds(10)};

###### Description

If pings (as per `any_connection::async_ping`) or session resets (as per `any_connection::async_reset_connection`) take longer than this timeout, they will be cancelled, and the operation will be considered failed.

Set this timeout to zero to disable it.

This value must not be negative.